Helix with variable pitch

Hi Does anybody know if it is possible to make a helix with variable pitch?

Kind regards

Klaus

Reply to
Klaus Sabroe
Loading thread data ...

everything is possible, but sometimes you need an add-in

formatting link
) or just a macro : '

**************************************************************************** ** ' SW macro to do mathematically defined curves ' please have a look at
formatting link
' for an add-in that does surfaces the same way ' Copyright 2003, DynaBits sàrl Switzerland -
formatting link
' **************************************************************************** **

Public Const pi As Double = 3.14159265358979

Dim p() As Double Sub main() ReDim p(3000) ' 3x large enough... Set swApp = Application.SldWorks Set Part = swApp.ActiveDoc r = 0.01 ' units are meters! For u = 0 To 10 * pi Step pi / 8 p(i) = r * Cos(u) p(i + 1) = r * Sin(u) p(i + 2) = u * u / 1000 ' z : put your variable pitch here i = i + 3 Next u ReDim Preserve p(i - 1) Part.Insert3DSketch Part.CreateSpline (p) Part.InsertSketch2 True End Sub

Reply to
Philippe Guglielmetti

Hi Philippe

Thanks for your reply. I cannot make it work, however. I guess I will have to do it with several planes and helix'es.

Have a nice weekend

Klaus

Reply to
Klaus Sabroe

PolyTech Forum website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.